"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.CodePushProvider = exports.useCodePush = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNativeCodePush = _interopRequireDefault(require("react-native-code-push"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const CodePushContext = /*#__PURE__*/(0, _react.createContext)({});

const useCodePush = () => (0, _react.useContext)(CodePushContext);

exports.useCodePush = useCodePush;

class CodePushProvider extends _react.default.Component {
  constructor(...args) {
    super(...args);

    _defineProperty(this, "state", {
      status: undefined,
      progress: undefined
    });
  }

  codePushStatusDidChange(status) {
    this.setState({
      status
    });
  }

  codePushDownloadDidProgress(progress) {
    this.setState({
      progress
    });
  }

  render() {
    return /*#__PURE__*/_react.default.createElement(CodePushContext.Provider, {
      value: {
        status: this.state.status,
        progress: this.state.progress
      }
    }, this.props.children);
  }

} // default codepush config


exports.CodePushProvider = CodePushProvider;

var _default = (0, _reactNativeCodePush.default)()(CodePushProvider);

exports.default = _default;
//# sourceMappingURL=CodePushProvider.js.map